<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:34:15 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.designer.languages.common.base.ILocationStrategy (org.eclipse.papyrus.designer.languages.common.base 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.designer.languages.common.base.ILocationStrategy (org.eclipse.papyrus.designer.languages.common.base 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/class-use/ILocationStrategy.html" target="_top">Frames</a></li>
<li><a href="ILocationStrategy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.designer.languages.common.base.ILocationStrategy" class="title">Uses of Interface<br>org.eclipse.papyrus.designer.languages.common.base.ILocationStrategy</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.common.base">org.eclipse.papyrus.designer.languages.common.base</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.common.base">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a> that implement <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.common.base">HierarchyLocationStrategy</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a> declared as <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ModelElementsCreator.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#locStrategy">locStrategy</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#ModelElementsCreator-org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess-org.eclipse.papyrus.designer.languages.common.base.ILocationStrategy-java.lang.String-">ModelElementsCreator</a></span>(org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess&nbsp;fileSystemAccess,
                    <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a>&nbsp;locStrategy,
                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;generatorLanguage)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/class-use/ILocationStrategy.html" target="_top">Frames</a></li>
<li><a href="ILocationStrategy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
